[Pkg-utopia-commits] r1141 - in packages/unstable/dbus/debian: . patches

Sjoerd Simons sjoerd at alioth.debian.org
Tue Nov 14 16:33:39 CET 2006


Author: sjoerd
Date: 2006-11-14 16:33:39 +0100 (Tue, 14 Nov 2006)
New Revision: 1141

Removed:
   packages/unstable/dbus/debian/patches/40_dbus_launch_get_uuid.patch
Modified:
   packages/unstable/dbus/debian/changelog
   packages/unstable/dbus/debian/dbus.init
   packages/unstable/dbus/debian/dbus.postinst
Log:
* Target unstable. Since 0.94 only bugfixes and cleanups went in.
* Also generate the machine-id on reload if it doesn't exist and reload the
  bus on upgrades. (Closes: #357247)
* patches/40_dbus_launch_get_uuid.patch
  + Dropped, fixed upstream

Modified: packages/unstable/dbus/debian/changelog
===================================================================
--- packages/unstable/dbus/debian/changelog	2006-11-14 14:16:31 UTC (rev 1140)
+++ packages/unstable/dbus/debian/changelog	2006-11-14 15:33:39 UTC (rev 1141)
@@ -1,5 +1,6 @@
-dbus (1.0.0-1) experimental; urgency=low
+dbus (1.0.0-1) unstable; urgency=low
 
+  [ Sebastian Dröge ]
   * New upstream release, 1.0.0 aka "Blue Bird"
   * debian/patches/01_no-fatal-warnings.patch:
     + Don't abort on fatal warnings now by default. This behaviour can be
@@ -7,8 +8,15 @@
       This will be set to upstream default again at some point so if you have
       an application that prints a DBus warning get it fixed.
 
- -- Sebastian Dröge <slomo at ubuntu.com>  Fri, 10 Nov 2006 09:32:20 +0100
+  [ Sjoerd Simons ]
+  * Target unstable. Since 0.94 only bugfixes and cleanups went in.
+  * Also generate the machine-id on reload if it doesn't exist and reload the
+    bus on upgrades. (Closes: #357247)
+  * patches/40_dbus_launch_get_uuid.patch
+    + Dropped, fixed upstream
 
+ -- Sjoerd Simons <sjoerd at debian.org>  Tue, 14 Nov 2006 15:35:00 +0100
+
 dbus (0.95-1) experimental; urgency=low
 
   * New upstream release (aka 1.0 RC3)

Modified: packages/unstable/dbus/debian/dbus.init
===================================================================
--- packages/unstable/dbus/debian/dbus.init	2006-11-14 14:16:31 UTC (rev 1140)
+++ packages/unstable/dbus/debian/dbus.init	2006-11-14 15:33:39 UTC (rev 1141)
@@ -36,6 +36,13 @@
 
 test "$ENABLED" != "0" || exit 0
 
+create_machineid() {
+  # Create machine-id file
+  if [ -x $UUIDGEN ]; then
+    $UUIDGEN $UUIDGEN_OPTS
+  fi
+}
+
 start_it_up()
 {
   if [ ! -d $PIDDIR ]; then
@@ -52,10 +59,7 @@
       rm -f $PIDFILE
     fi
   fi
-  # Create machine-id file
-  if [ -x $UUIDGEN ]; then
-    $UUIDGEN $UUIDGEN_OPTS
-  fi
+  create_machineid
 
   log_daemon_msg "Starting $DESC" "$NAME"
   start-stop-daemon --start --quiet --pidfile $PIDFILE \
@@ -84,6 +88,7 @@
 
 reload_it()
 {
+  create_machineid
   log_action_begin_msg "Reloading $DESC config"
   dbus-send --print-reply --system --type=method_call \
             --dest=org.freedesktop.DBus \

Modified: packages/unstable/dbus/debian/dbus.postinst
===================================================================
--- packages/unstable/dbus/debian/dbus.postinst	2006-11-14 14:16:31 UTC (rev 1140)
+++ packages/unstable/dbus/debian/dbus.postinst	2006-11-14 15:33:39 UTC (rev 1141)
@@ -15,12 +15,20 @@
 	adduser --system --home "$MESSAGEHOME" --no-create-home --disabled-password --ingroup "$MESSAGEUSER" "$MESSAGEUSER"
 
 # Do not restart dbus on upgrades, only on fresh installations
+# But do reload it so the machine-id can be generated
 if [ "$1" = "configure" ]; then
     if [ -e /var/run/dbus/pid ] && 
       ps --no-heading -p $(cat /var/run/dbus/pid) > /dev/null; then
         # trigger an update notification which recommends to reboot
         [ -x /usr/share/update-notifier/notify-reboot-required ] && \
             /usr/share/update-notifier/notify-reboot-required || true
+        if [ -x "/etc/init.d/dbus" ]; then
+          if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
+                invoke-rc.d dbus reload || true
+          else
+                /etc/init.d/dbus reload || true
+          fi
+        fi
         exit 0
     fi
 fi

Deleted: packages/unstable/dbus/debian/patches/40_dbus_launch_get_uuid.patch
===================================================================
--- packages/unstable/dbus/debian/patches/40_dbus_launch_get_uuid.patch	2006-11-14 14:16:31 UTC (rev 1140)
+++ packages/unstable/dbus/debian/patches/40_dbus_launch_get_uuid.patch	2006-11-14 15:33:39 UTC (rev 1141)
@@ -1,48 +0,0 @@
-Index: tools/dbus-launch-x11.c
-===================================================================
-RCS file: /cvs/dbus/dbus/tools/dbus-launch-x11.c,v
-retrieving revision 1.3
-retrieving revision 1.4
-diff -u -r1.3 -r1.4
---- tools/dbus-launch-x11.c	1 Oct 2006 20:05:39 -0000	1.3
-+++ tools/dbus-launch-x11.c	26 Oct 2006 17:34:49 -0000	1.4
-@@ -98,6 +98,10 @@
-   char *result;
-   char *p;
- 
-+  machine = get_machine_uuid ();
-+  if (machine == NULL)
-+    return NULL;
-+
-   display = xstrdup (getenv ("DISPLAY"));
-   if (display == NULL)
-     {
-@@ -143,8 +147,6 @@
-         *p = '_';
-     }
-   
--  machine = get_machine_uuid ();
--
-   home = get_homedir ();
-   
-   result = malloc (strlen (home) + strlen (prefix) + strlen (machine) +
-@@ -237,6 +239,10 @@
-   if (init)
-     return TRUE;
- 
-+  machine = get_machine_uuid ();
-+  if (machine == NULL)
-+    return FALSE;
-+
-   user = getpwuid (getuid ());
-   if (user == NULL)
-     {
-@@ -245,8 +251,6 @@
-     }
-   user_name = xstrdup(user->pw_name);
- 
--  machine = get_machine_uuid ();
--
-   atom_name = malloc (strlen (machine) + strlen (user_name) + 2 +
-                       MAX (strlen (selection_prefix),
-                            MAX (strlen (address_prefix),




More information about the Pkg-utopia-commits mailing list